# Get an estimate TRX

To use this feature you must have the API key. Read [here](broken://pages/GfKv0bUp3AY62NRSMDOW) to view how to get our API key.

## Link API Postman

## Get an estimate TRX for fast charge orders

<mark style="color:orange;">`POST`</mark> `https://api.tronsave.io/v0/fast-charge-estimate-order-request`

Get an estimate TRX by [API key](broken://pages/GfKv0bUp3AY62NRSMDOW)

Rate limi&#x74;***: 1** request per **2** seconds*

**Headers**

<table><thead><tr><th width="131"> Name</th><th width="135">Type</th><th>Description</th></tr></thead><tbody><tr><td>apikey<mark style="color:red;">*</mark></td><td>String</td><td>Tronsave API key that present for the internal account</td></tr></tbody></table>

**Request Body**

<table><thead><tr><th width="190">Name</th><th width="164">Type</th><th>Description</th></tr></thead><tbody><tr><td>receiver_count</td><td>String</td><td>Number of orders to create</td></tr><tr><td>amount</td><td>Number</td><td>Amount of resource want to buy</td></tr><tr><td>max_price_accept</td><td>Number</td><td>Only create an order when the estimated price is less than this value.</td></tr><tr><td>resource_type</td><td>String</td><td>"ENERGY"</td></tr><tr><td>duration_sec</td><td>Number</td><td>The duration of the rent resource, the time unit is equal second.</td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK Success" %}

```java
{
    "charge_amount": number, //Total payout for all order
    "price": number, // Price unit is equal to sun
    "max_receiver_can_provide": number, // The maximum number of orders the system is ready to match
    "internal_balance": string, // Balance of your internal account
    "duration_sec": number, // rent duration, duration unit is equal to second
}
```

{% endtab %}

{% tab title="400: Bad Request Invalid params" %}

```java
{
    "MISSING_PARAMS": "Missing some params in body",
    "INVALID_PARAMS": "some params is invalid",
    "INTERNAL_ACCOUNT_NOT_FOUND": "internal account not exists",
    "INTERNAL_BALANCE_ACCOUNT_TOO_LOW": "Balance is not enough"
}
```

{% endtab %}

{% tab title="401: Unauthorized Invalid api key" %}

```java
{
    "API_KEY_REQUIRED": "Missing api key in headers",
    "INVALID_API_KEY": "api key not correct"
}
```

{% endtab %}

{% tab title="429: Too Many Requests Rate limit reached" %}

```java
{
    "RATE_LIMIT": "Rate limit reached",
}
```

{% endtab %}
{% endtabs %}

***Example***

{% tabs %}
{% tab title="Body" %}

```java
{
    "receiver_count": 10,
    "amount": 130000,
    "max_price_accept": 70,
    "resource_type": "ENERGY",
    "duration_sec": 900
}
```

{% endtab %}

{% tab title="Headers" %}

```java
{
  "apikey": <YOUR_API_KEY>
}
```

{% endtab %}

{% tab title="Success Response" %}

```java
{
    "charge_amount": 44850000,
    "price": 69,
    "max_receiver_can_provide": 8,
    "able_to_match": true,
    "internal_balance": "117505470"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tronsave.io/developer/fast-charge-api/get-an-estimate-trx.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
